﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewWPF
{
    public class SpecialSlotStyleSelector : ScheduleViewStyleSelector
    {
        public Style CustomSlotStyle { get; set; }

        public override Style SelectStyle(object item, DependencyObject container, ViewDefinitionBase activeViewDefinition)
        {
            Slot slot = item as Slot;

            if (slot is FutureSlot || slot is PassedSlot)
            {
                return this.CustomSlotStyle;
            }

            return base.SelectStyle(item, container, activeViewDefinition);
        }
    }
}